Gift cards
Gift Cards Create
Create a gift card.
Authorization
oauth2 gift_cards:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: gift_cards:write
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"currency*string
Length
length <= 3expired_at?|
Format
date-timeinitial*string
Match
^-?\d{0,10}(?:\.\d{0,2})?$Format
decimaluser?
Response Body
application/json
curl -X POST "https://example.29next.store/api/admin/gift-cards/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{ "currency": "str", "initial": "string" }'{
"balance": "string",
"code": "string",
"created_at": "2019-08-24T14:15:22Z",
"currency": "string",
"disabled_at": "2019-08-24T14:15:22Z",
"expired_at": "2019-08-24T14:15:22Z",
"id": 0,
"initial": "string",
"last_four": "string",
"updated_at": "2019-08-24T14:15:22Z",
"user": {
"accepts_marketing": true,
"email": "user@example.com",
"first_name": "string",
"id": 0,
"ip": "string",
"language": "string",
"last_name": "string",
"phone_number": "string",
"user_agent": "string"
}
}